<template>
  <div>
    <span v-for="(option, key) in options" :key="key">
      <v-checkbox v-model="selectedValues" :label="option" :value="option" />
    </span>
  </div>
</template>
<script>
export default {
  props: {
    options: {
      type: Array,
      required: true,
    },
    value: {
      type: [Array, String],
      required: false,
      default: () => [],
    },
  },
  data() {
    return {
      selectedValues: [],
    };
  },
  watch: {
    selectedValues(newVal) {
      this.$emit("input", newVal);
    },
  },
  created() {
    if (this.value.length > 0) this.selectedValues = this.value;
  },
};
</script>
